{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Settings</title>
    <link href="{% static 'admin/css/settings.css' %}" type="text/css" rel="stylesheet" />
</head>

<body>
    <div class="main">
        <div class="sections box-shadow">
            <h3>System Url</h3>
            <form class="flex-group" method="POST">
                {% csrf_token %}
                <label for="">Base Url</label>
                <input type="text" name="system_url" value="{{ url_base }}" placeholder="http://0.0.0.0/">
                <label for="">Url prefix</label>
                <input type="text" name="system_prefix" value="{{ url_prefix }}" placeholder="api/v1/">
                <button id="system_update" type="submit">Update</button>
        </div>
    </div>
    </div>

    <!--SNACKBAR MESAGE-->
    <link href="{% static 'common/css/snackbar.css' %}" type="text/css" rel="stylesheet">
    <div id="snackbar"></div>
    <script src="{% static 'common/js/snackbar.js' %}"></script>


    {% for message in messages %}
    <script>showSnackBar("{{ message }}");</script>
    {% endfor %}

</body>

</html>